> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/triggers/utils/timestamp.md).

# Timestamp

### Description

Trigger contract that verifies if current timestamp is higher than the one in sub data,

### Trigger ID

`0xa051d9a9`

### SDK Action

```ts
const timestampTrigger = new dfs.triggers.TimestampTrigger(
    nextTimestamp
);
```

### Subscription Parameters

```solidity
/// @param timestamp The next timestamp in which it should trigger
/// @param interval How much to increase the next timestamp after executing strategy
struct SubParams {
    uint256 timestamp;
    uint256 interval;
}
```

### Calldata Parameters

```solidity
None
```

### IsChangeable

`true` changedSubData: new sub-data is created by adding the interval parameter to the timestamp parameter. This is later on updated in the RecipeExecutor and SubStorage.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/triggers/utils/timestamp.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
